"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.strapiLogin = void 0;
var http_request_1 = __importDefault(require("./http.request"));
function strapiLogin(_a) {
    var STRAPI_IDENTIFIER = _a.STRAPI_IDENTIFIER, STRAPI_PASSWORD = _a.STRAPI_PASSWORD, STRAPI_URL = _a.STRAPI_URL;
    var OPTIONS = {
        method: 'POST',
        headers: {
            'content-type': 'application/json',
        },
        body: JSON.stringify({
            identifier: STRAPI_IDENTIFIER,
            password: STRAPI_PASSWORD,
        }),
    };
    return http_request_1.default(STRAPI_URL + "/auth/local", OPTIONS);
}
exports.strapiLogin = strapiLogin;
