export interface LoginErrorResponse {
    statusCode?: number;
    error?: string;
    message?: Array<{
        messages: Array<{
            id: string;
            message: string;
        }>;
    }>;
}
export interface LoginOKResponse {
    jwt?: string;
    user?: {
        confirmed: boolean;
        blocked: boolean;
        id: string;
        username: string;
        email: string;
        provider: string;
        role: {
            name: string;
            type: string;
            id: string;
        };
    };
}
export declare type LoginResponse = LoginOKResponse & LoginErrorResponse;
export interface LoginCredentials {
    identifier: string;
    password: string;
}
